Bug 12268 - Files opened with O_NONLOCK can return ETIMEDOUT on pread
Files opened with O_NONLOCK can return ETIMEDOUT on pread
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.2.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-15 11:53 UTC by Volker Lendecke
Modified: 2016-09-20 08:00 UTC (History)
2 users (show)

See Also:


Attachments
Patch (1.52 KB, patch)
2016-09-16 21:29 UTC, Volker Lendecke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2016-09-15 11:53:41 UTC
Have patch, need bug number
Comment 1 Volker Lendecke 2016-09-16 21:29:10 UTC
Created attachment 12473 [details]
Patch

Applies to 4.5, 4.4 and 4.3 cleanly for me
Comment 2 Jeremy Allison 2016-09-16 21:48:32 UTC
Reassigning to Karolin for inclusion in 4.5.next, 4.4.next, 4.3.next.
Comment 3 Karolin Seeger 2016-09-19 08:07:01 UTC
vl -vv ;-)

Pushed to autobuild-v4-{3,4,5}-test.
Comment 4 Karolin Seeger 2016-09-20 08:00:26 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to all branches.
Closing out bug report.

Thanks!